benw

benw supports this item

Supported

This author's response time can be up to 2 business days.

77 comments found.

want to buy this would like to confirm if it compatible with journal theme’s ( one page quick checkout) and oc 2.2? thank you

Hi clovecigar,

Yes it is.

Thanks,

Ben

teeapt

teeapt Purchased

Hi,

Does this work on OC Version 2.3.0.2? I installed the extension via OC Extension Installer (ftp). It seemed to be working, but then I received the following telltale error:

“Could not set root directory as” (<—Note there was no directory shown here.)

The zip file that was uploaded (data.ocmod.zip) has the following directory structure:

data.ocmod.zip

-upload

--admin

--catalog

--system

--vqmod

Thanks

Hi teapt,

I haven’t yet tested it on OpenCart 2.3.x. I will test and it and make it compatible (if it’s not already compatible) for the next release.

Thanks,

Ben

artkis

artkis Purchased

Does not work with Journal Quick Checkout. Endless loading and It breaks every other payment module. Problem only goes away once module is fully deleted.

Did you make the CSS change to the journal CSS file (in the pdf manual)? If so and you’re still having problems, please supply the store URL so I can investigate.

Thanks,

Ben

I want to configure this module for Stripe Connect. Will that be possible?

Hi malkocoglu,

Unfortunately not at this time.

Thanks,

Ben

lovol2

lovol2 Purchased

Works great on OC 1.5.4.

Although, when you refund a transaction on Stripe website, It doesn’t change the status on your OC website. This would be an excellent addition.

Thanks for the suggestion. I’ll consider it for future releases.

Thanks,

Ben

Does this support the option of letting users store credit cards via Stripe?

Hi tgts2000,

Thanks for purchasing. It does not currently. I may look into that for a future release.

Thanks,

Ben

rsmck

rsmck Purchased

Are there plans to add Apple Pay support through Stripe to this module?

Not in the immediate future. Sorry.

ookhana

ookhana Purchased

Hello Ben,

Checkout page is loading. The Stripe module is in TEST mode and I have put in the test card details and I am getting the following error:

“There was a problem processing your transaction. Please contact us for assistance.”

Please assist.

Kind Regards, Imran

Just emailed.

Thanks

Ben

gti2756

gti2756 Purchased

Hello Ben,

Checkout page is loading. The Stripe module is in TEST mode and I have put in the test card details and I am getting the following error:

“There was a problem processing your transaction. Please contact us for assistance.”

Please assist.

Kind Regards, Imran

I am having this same problem.

Emailed.

Hey, does this support Canadian dollar as currency?

Hi behrooz66,

Yes it does!

Thanks,

Ben

jnmann

jnmann Purchased

Installed on OC 1.5.6.4 and everytime I send card details through I get the error message “There was a problem processing your transaction. Please contact us for assistance.” Can you advise please? Many thanks. edit: I see same issue above if you could contact me that would be great thanks.

Thanks for purchasing. This message means the postback from the AJAX is corrupt, the most common cause are error messages being displayed elsewhere in the code (usually other add-ons).

Try:

1) Turn off error message displaying in your site admin / settings 2) Check your error log for messages occurring around the time of the failed postback, this will most likely point to the culprit. 3) If it still doesn’t work, try disabling all other add-ons, if it works then, enable them one by one until you find the one causing the problem

If you’re familiar with the Network Inspector tool of the developer console, you can actually look at the raw JSON and see what’s causing the problem.

If you’re still having a problem, please send me a direct message with your site URL and I can take a look.

Thanks,

Ben

jnmann

jnmann Purchased

Thanks for the quick response :) Not getting any errors in the log at all. Only module I have enabled that isn’t essential to the site is vqmod, removed that, still getting error :( I’ll send URL now thank you.

On my OpenCart Dashboard I receive a message “There is a new version of OpenCart Easy Stripe Module available. Latest version is 2.2.3, you’re running 2.1.0. ” I copied the new files over, but what should I do to update the database so the latest version is acknowledged by my OpenCart Dashboard?

Hi Ben,

It updated to 2.2.3, but the file seems to be incorrect because it says <version>2.2.2</version> in the xml file

This is in the latest version from CC…

Strange, not sure why that is. If you can email me directly by clicking my profile name, I can send you the latest version via email and we can see if that corrects it

Thanks

Stuge

Stuge Purchased

Hi Ben, just purchased! Looks good so far.. I would like to edit the stripe.php file in order to show payment method on checkout as ‘Credit or Debit card (processed securely by Stripe)’ can you please instruct me on which part of the code I need to edit exactly? Thanks.

Sure, it’s in catalog/language/english/payment/stripe.php

Thanks

Stuge

Stuge Purchased

Hi Ben, I know where the file is. I was asking which part of the code within the file I should edit. Just don’t want to edit the wrong section and cause an error. I’ve had enough Stripe errors at this stage from a previols plugin. Yoor plugin is working great though.

Sure just find the line:

$_[‘text_title’] = ‘Credit Card’;

And check the text Credit Card to whatever you want. Always make a backup of the file before editing so if something goes wrong you can restore

Thanks

cjtho6

cjtho6 Purchased

Hello. I am also getting the message about not having the latest version. I just redownloaded the files from CC and when opening easy_stripe.xml it says <version>2.2.2</version>. This is in the archive downloaded so not a problem with uploading to my site. Thank you

Thanks, please drop me a PM and I’ll email you the corrected version while I get it corrected on CC

Thanks

Any chance you know why the page does nothing when we click “Confirm” in live or test mode? This only occurs on the Journal Quick Checkout, not in the default checkout. CarLightKing.com is the site. Checkout updated, all settings set for journal, css changed as well.

Thanks

Thanks for purchasing. Are you using a different quick checkout plugin besides journal’s QC? I’m seeing one installed.

Thanks,

Ben

gurukid

gurukid Purchased

Yeah we had to switch it over, sorry for the late response… We ended up using a different checkout system (not Journal), and now the stripe checkout is working. Thanks

Hi,

I messaged you around a week ago but I had no reply which has delayed me in purchasing the theme.

Could you please confirm this is compatible with the latest version of both – OpenCart & Journal2?

Also, how compatible is Stripe for UK Payments? I am worried it may not accept our major payment cards.

As soon as you have replied, I will make purchase right away.

Thanks.

Hi AJStott,

Yes, it should be compatible with both.

Works great for UK payments from what I’ve heard. You’re welcome to drop them an email if you want clarification on what exactly they accept, their support is very good

Thanks

Hi, thank you for your reply. If it is not compatible for both, would you be able to A.) make it compatible, or B.) issue a refund, if I was to purchase your module?

hello, I just bought your stripe opencart plugin and I found my stripe api version is 2015-07-28. Do i need to upgrade it to the latest?

thanks, william

It should work right out of the box, no upgrade should be needed.

Thanks

Ben

by
by
by
by
by
by